Loading...
Searching...
No Matches
OptionalJacobian.h File Reference

Special class for optional Jacobian arguments. More...

Go to the source code of this file.

## Classes

class | gtsam::OptionalJacobian< Rows, Cols >
| OptionalJacobian is an Eigen::Ref like class that can take be constructed using either a fixed size or dynamic Eigen matrix. More...
class | gtsam::OptionalJacobian< Eigen::Dynamic, Eigen::Dynamic >
struct | gtsam::MakeJacobian< T, A >
| : meta-function to generate Jacobian More...
struct | gtsam::MakeOptionalJacobian< T, A >
| : meta-function to generate JacobianTA optional reference Used mainly by Expressions More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Detailed Description

Special class for optional Jacobian arguments.

Author
  Frank Dellaert
  Natesh Srinivasan

Date
  Nov 28, 2014